Index: tvtime-1.0.2/configure.ac
===================================================================
--- tvtime-1.0.2.orig/configure.ac
+++ tvtime-1.0.2/configure.ac
@@ -99,6 +99,8 @@ dnl ------------------------------------
 dnl check for X11, Xv and XF86VidModeExtension
 dnl ---------------------------------------------
 AC_PATH_XTRA
+AC_ARG_WITH([xinerama],
+    [AS_HELP_STRING([--without-xinerama], [Disable Xinerama extension support (default: check)])])
 if test x"$no_x" != x"yes"; then
     dnl check for Xshm
     AC_CHECK_LIB([Xext],[XShmCreateImage],
@@ -112,11 +114,13 @@ if test x"$no_x" != x"yes"; then
 	    X11_LIBS="$X11_LIBS -lXv"],,
 	    [$X_PRE_LIBS $X_LIBS -lX11 $X_EXTRA_LIBS -lXext])
 
-	dnl check for Xinerama
-	AC_CHECK_LIB([Xinerama],[XineramaQueryScreens],
-	    [AC_DEFINE([HAVE_XINERAMA],,[Xinerama support])
-	    X11_LIBS="$X11_LIBS -lXinerama"],,
-	    [$X_PRE_LIBS $X_LIBS -lX11 $X_EXTRA_LIBS -lXext])
+	if test "x$with_xinerama" != "xno"; then
+		dnl check for Xinerama
+		AC_CHECK_LIB([Xinerama],[XineramaQueryScreens],
+		    [AC_DEFINE([HAVE_XINERAMA],,[Xinerama support])
+		    X11_LIBS="$X11_LIBS -lXinerama"],,
+		    [$X_PRE_LIBS $X_LIBS -lX11 $X_EXTRA_LIBS -lXext])
+	fi
 
 	dnl check for XTest
         AC_CHECK_LIB([Xtst],[XTestFakeKeyEvent],
